Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I tried to install Bugzilla 4.2.1 to an Amazon EC2 with Amazon Linux OS.

I have installed all the necessary perl_modules from the EPEL repo, and configured httpd and mysqld.

But when I try to view it in browser, it throws an internal server error.

Error_log says:

The /var/www/html/bugzilla/data/params file does not exist. You probably need to run checksetup.pl. at /var/www/html/bugzilla/Bugzilla/Config.pm line 337.

checksetup.pl output:

* This is Bugzilla 4.2.1 on perl 5.10.1
* Running on Linux 3.2.18-1.26.6.amzn1.x86_64 #1 SMP Thu May 24 02:36:39 UTC 2012

Checking perl modules...
Checking for               CGI.pm (v3.51)     ok: found v3.59 
Checking for           Digest-SHA (any)       ok: found v5.47 
Checking for             TimeDate (v2.21)     ok: found v2.22 
Checking for             DateTime (v0.28)     ok: found v0.74 
Checking for    DateTime-TimeZone (v0.71)     ok: found v1.46 
Checking for                  DBI (v1.41)     ok: found v1.609 
Checking for     Template-Toolkit (v2.22)     ok: found v2.24 
Checking for           Email-Send (v2.00)     ok: found v2.198 
Checking for           Email-MIME (v1.904)    ok: found v1.910 
Checking for                  URI (v1.37)     ok: found v1.40 
Checking for       List-MoreUtils (v0.22)     ok: found v0.33 
Checking for    Math-Random-ISAAC (v1.0.1)    ok: found v1.004 

Checking available perl DBD modules...
Checking for               DBD-Pg (v1.45)     not found 
Checking for            DBD-mysql (v4.001)    ok: found v4.013 
Checking for           DBD-SQLite (v1.29)     not found 
Checking for           DBD-Oracle (v1.19)     not found 

The following Perl modules are optional:
Checking for                   GD (v1.20)     not found 
Checking for                Chart (v2.1)      not found 
Checking for          Template-GD (any)       not found 
Checking for           GDTextUtil (any)       not found 
Checking for              GDGraph (any)       not found 
Checking for           MIME-tools (v5.406)    not found 
Checking for          libwww-perl (any)       not found 
Checking for             XML-Twig (any)       not found 
Checking for          PatchReader (v0.9.6)    not found 
Checking for            perl-ldap (any)       not found 
Checking for          Authen-SASL (any)       not found 
Checking for           RadiusPerl (any)       not found 
Checking for            SOAP-Lite (v0.712)    not found 
Checking for             JSON-RPC (any)       not found 
Checking for              JSON-XS (v2.0)      not found 
Checking for           Test-Taint (any)       not found 
Checking for          HTML-Parser (v3.40)     not found 
Checking for        HTML-Scrubber (any)       not found 
Checking for               Encode (v2.21)     ok: found v2.35 
Checking for        Encode-Detect (any)       not found 
Checking for Email-MIME-Attachment-Stripper (any)       not found 
Checking for          Email-Reply (any)       not found 
Checking for          TheSchwartz (any)       not found 
Checking for       Daemon-Generic (any)       not found 
Checking for             mod_perl (v1.999022) ok: found v2.000004 
Version string '0.97-rc1' contains invalid data; ignoring: '-rc1' at Bugzilla/Install/Requirements.pm line 676.
Checking for     Apache-SizeLimit (v0.96)     ok: found v0.97 
Checking for          mod_headers (any)       ok 
Checking for          mod_expires (any)       ok 
Checking for              mod_env (any)       ok 
***********************************************************************
* OPTIONAL MODULES                                                    *
***********************************************************************
* Certain Perl modules are not required by Bugzilla, but by           *
* installing the latest version you gain access to additional         *
* features.                                                           *
*                                                                     *
* The optional modules you do not have installed are listed below,    *
* with the name of the feature they enable. Below that table are the  *
* commands to install each module.                                    *
***********************************************************************
*                    MODULE NAME * ENABLES FEATURE(S)                 *
***********************************************************************
*                             GD * Graphical Reports, New Charts, Old Charts *
*                          Chart * New Charts, Old Charts             *
*                    Template-GD * Graphical Reports                  *
*                     GDTextUtil * Graphical Reports                  *
*                        GDGraph * Graphical Reports                  *
*                     MIME-tools * Move Bugs Between Installations    *
*                    libwww-perl * Automatic Update Notifications     *
*                       XML-Twig * Move Bugs Between Installations, Automatic Update Notifications *
*                    PatchReader * Patch Viewer                       *
*                      perl-ldap * LDAP Authentication                *
*                    Authen-SASL * SMTP Authentication                *
*                     RadiusPerl * RADIUS Authentication              *
*                      SOAP-Lite * XML-RPC Interface                  *
*                       JSON-RPC * JSON-RPC Interface                 *
*                        JSON-XS * Make JSON-RPC Faster               *
*                     Test-Taint * JSON-RPC Interface, XML-RPC Interface *
*                    HTML-Parser * More HTML in Product/Group Descriptions *
*                  HTML-Scrubber * More HTML in Product/Group Descriptions *
*                  Encode-Detect * Automatic charset detection for text attachments *
* Email-MIME-Attachment-Stripper * Inbound Email                      *
*                    Email-Reply * Inbound Email                      *
*                    TheSchwartz * Mail Queueing                      *
*                 Daemon-Generic * Mail Queueing                      *
***********************************************************************
COMMANDS TO INSTALL OPTIONAL MODULES:

             GD: /usr/bin/perl install-module.pl GD
          Chart: /usr/bin/perl install-module.pl Chart::Lines
    Template-GD: /usr/bin/perl install-module.pl Template::Plugin::GD::Image
     GDTextUtil: /usr/bin/perl install-module.pl GD::Text
        GDGraph: /usr/bin/perl install-module.pl GD::Graph
     MIME-tools: /usr/bin/perl install-module.pl MIME::Parser
    libwww-perl: /usr/bin/perl install-module.pl LWP::UserAgent
       XML-Twig: /usr/bin/perl install-module.pl XML::Twig
    PatchReader: /usr/bin/perl install-module.pl PatchReader
      perl-ldap: /usr/bin/perl install-module.pl Net::LDAP
    Authen-SASL: /usr/bin/perl install-module.pl Authen::SASL
     RadiusPerl: /usr/bin/perl install-module.pl Authen::Radius
      SOAP-Lite: /usr/bin/perl install-module.pl SOAP::Lite
       JSON-RPC: /usr/bin/perl install-module.pl JSON::RPC
        JSON-XS: /usr/bin/perl install-module.pl JSON::XS
     Test-Taint: /usr/bin/perl install-module.pl Test::Taint
    HTML-Parser: /usr/bin/perl install-module.pl HTML::Parser
  HTML-Scrubber: /usr/bin/perl install-module.pl HTML::Scrubber
  Encode-Detect: /usr/bin/perl install-module.pl Encode::Detect
Email-MIME-Attachment-Stripper: /usr/bin/perl install-module.pl Email::MIME::Attachment::Stripper
    Email-Reply: /usr/bin/perl install-module.pl Email::Reply
    TheSchwartz: /usr/bin/perl install-module.pl TheSchwartz
 Daemon-Generic: /usr/bin/perl install-module.pl Daemon::Generic


To attempt an automatic install of every required and optional module
with one command, do:

  /usr/bin/perl install-module.pl --all

Reading ./localconfig...

OPTIONAL NOTE: If you want to be able to use the 'difference between two
patches' feature of Bugzilla (which requires the PatchReader Perl module
as well), you should install patchutils from:

    http://cyberelk.net/tim/patchutils/

Checking for            DBD-mysql (v4.001)    ok: found v4.013 
Checking for                MySQL (v5.0.15)   ok: found v5.5.20 

/usr/bin/perl: symbol lookup error: /usr/lib64/perl5/vendor_perl/auto/DBD/mysql/mysql.so: undefined symbol: is_prefix
share|improve this question

1 Answer 1

up vote 0 down vote accepted

This is a guess, not an answer, put here because it seems cruel not to try and help if you aren't certain...

A mismatch between your MySQL version and the version your Perl DBD was compiled against? Seems unlikely, though. Or perhaps you actually need to install the MySQL development packages? But I can't remember needing to on other machines...

share|improve this answer
    
Finally I solved the problem. Your suggestion was right. The problem was with my mysql library and with a perl module. I had to install mysql-devel and the Bundle::DBD:mysql perl library. Thanks for the help, it works perfectly! –  Peter Jun 11 '12 at 11:07

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.